# piwik os dependend params

class wmdeit_piwik::params{
	case  $::osfamily {
		'FreeBSD':{

			$sourcezip = "/usr/local/www/piwik.zip"
			$wwwdir = "/usr/local/www"
			$unzipcmd = "/usr/local/bin/unzip"
			$phpver = "php72"
			$wwwuser = "www"
			$ssldir = "/usr/local/etc/ssl"

			$phpfpm_cfg ="/usr/local/etc/php-fpm.conf"
			$cache_dir = "/var/cache/nginx"
			$phpfpm_service = "php-fpm"
			$eventmech = "kqueue"

			$packages = [ 
				"$phpver", 
				"$phpver-session", 
				"$phpver-json", 
				"$phpver-pdo", 
				"$phpver-pdo_mysql", 
				"$phpver-curl", 
				"$phpver-filter", 
				"$phpver-ctype", 
				"$phpver-hash", 
				"$phpver-zlib",
				"$phpver-iconv",
				"$phpver-mbstring",
				"$phpver-xml",
				"$phpver-simplexml",
				"$phpver-gd",
				"$phpver-dom",
				"$phpver-openssl",
				"$phpver-opcache",
				"unzip" ]
		}	
		default: {
			$sourcezip = "/srv/www/piwik.zip"
			$wwwdir="/srv/www"
			$unzipcmd ="/usr/bin/unzip"
			$wwwuser = "www-data"
			$cache_dir = "/var/cache/nginx"
			$phpver = "php7.2"
			$phpfpm_cfg ="/etc/php/7.2/fpm/php-fpm.conf"
			$phpfpm_service = "$phpver-fpm"
			$ssldir = "/etc/ssl"
			$eventmech = "epoll"

			$packages = [
				"$phpver-fpm",
				"$phpver-mysql",
				"$phpver-mbstring",
				"$phpver-gd",
#				"$phpver-dom",
#				"$phpver-simplexml",
			]


		}
	}


}
